PYXPLOT(1)

NAME
pyxplot - a multi-purpose command-line data processing, vector graphics and graph-plotting tool.

SYNOPSIS
pyxplot [file ...]

DESCRIPTION

Pyxplot is a multi-purpose graph plotting tool, scientific scripting language, vector graphics suite, and data processing package. Its interface is designed to make common tasks -- e.g., plotting labelled graphs of data -- accessible via short, simple, intuitive commands.

But these commands also take many optional settings, allowing their output to be fine-tuned into styles appropriate for printed publications, talks or websites. Pyxplot is simple enough to be used without prior programming experience, but powerful enough that programmers can extensively configure and script it.

A SCIENTIFIC SCRIPTING LANGUAGE

Pyxplot doesn't just plot graphs. It's a scripting language in which variables can have physical units. Calculations automatically return results in an appropriate unit, whether that be kilograms, joules or lightyears. Datafiles can be converted straightforwardly from one set of units to another. Meanwhile Pyxplot has all the other features of a scripting language: flow control and branching, string manipulation, complex data types, an object-oriented class structure and straightforward file I/O. It also supports vector and matrix algebra, can integrate or differentiate expressions, and can numerically solve systems of equations.

A VECTOR GRAPHICS SUITE

The graphical canvas isn't just for plotting graphs on. Circles, polygons and ellipses can be drawn to build vector graphics. Colors are a native object type for easy customisation. For the mathematically minded, Pyxplot's canvas interfaces cleanly with its vector math environment, so that geometric construction is easy.

A DATA PROCESSING PACKAGE

Pyxplot can interpolate data, find best-fit lines, and compile histograms. It can Fourier transform data, calculate statistics, and output results to new datafiles. Where fine control is needed, custom code can be used to process every data point in a file.

Examples of the graphical output produced by Pyxplot can be found on the Pyxplot website: <http://www.pyxplot.org.uk/>.

Full documentation can be found in: /usr/share/doc/pyxplot/pyxplot.pdf

COMMAND LINE OPTIONS
  -h, --help: Display this help.
  -v, --version: Display version number.
  -q, --quiet: Turn off initial welcome message.
  -V, --verbose: Turn on initial welcome message.
  -c, --color: Use colored highlighting of output.
  -m, --monochrome: Turn off coloured highlighting.

AUTHORS
Dominic Ford <coders@pyxplot.org.uk>

BUGS AND USER FORUMS
To report bugs in Pyxplot, or to meet other Pyxplot users in our forums, please visit us on sourceforge: <http://sourceforge.net/projects/pyxplot/>.

CREDITS
Matthew Smith, Michael Rutter, Zoltan Voros and John Walker have all contributed code to Pyxplot. We welcome bug reports, which can be submitted to our project page on Sourceforge, and thank the many testers who have already made significant contributions to the project by helping us to track down bugs.

SEE ALSO
pyxplot_watch(1),gnuplot(1)